3

This problem does not appear to be version specific for me. I have tried this several times with different versions and different system configurations. As the title states, when I add the script extension to GeoServer it stops working. Any suggestions? I am running this on Debian 8.

Here is an excerpt from data/logs/geoserver.log:

2015-08-12 11:52:31,066 WARN [support.DisposableBeanAdapter] - Invocation of destroy method failed on bean with name 'geoServerLoader': java.lang.NullPointerException

2015-08-12 11:52:31,067 ERROR [context.ContextLoader] - Context initialization failed org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'wcsURLMapping' defined in URL [jar:file:/var/lib/tomcat8/webapps/geoserver-test/WEB-INF/lib/gs-wcs-2.7.1.jar!/applicationContext.xml]: Cannot resolve reference to bean 'catalog' while setting constructor argument; nested exception is org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'localWorkspaceCatalog' defined in URL [jar:file:/var/lib/tomcat8/webapps/geoserver-test/WEB-INF/lib/gs-main-2.7.1.jar!/applicationContext.xml]: Cannot resolve reference to bean 'advertisedCatalog' while setting constructor argument; nested exception is org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'advertisedCatalog' defined in URL [jar:file:/var/lib/tomcat8/webapps/geoserver-test/WEB-INF/lib/gs-main-2.7.1.jar!/applicationContext.xml]: Cannot resolve reference to bean 'secureCatalog' while setting constructor argument; nested exception is org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'secureCatalog' defined in URL [jar:file:/var/lib/tomcat8/webapps/geoserver-test/WEB-INF/lib/gs-main-2.7.1.jar!/applicationContext.xml]: Instantiation of bean failed; nested exception is org.springframework.beans.BeanInstantiationException: Could not instantiate bean class [org.geoserver.security.SecureCatalogImpl]: Constructor threw exception; nested exception is java.lang.NullPointerException at org.springframework.beans.factory.support.BeanDefinitionValueResolver.resolveReference(BeanDefinitionValueResolver.java:329) ...

  • are you using tomcat 7.0.24? is so it is a known bug (osgeo-org.atlassian.net/browse/GEOS-7122) in Tomcat and fixed in newer releases. – Ian Turton Aug 12 '15 at 10:25
  • 1
    If that isn't it, are you mixing release versions and nightly versions? – BradHards Aug 12 '15 at 11:22
  • I am using Tomcat 8.0.14. I was mixing release and nightly versions, but I am still having the same problem after changing them both to the 11-Aug-2015 nightly. I am still getting the same warning message followed by a similar error, except this time the problem is in creating the "secureCatalog" bean defined in gs-main-2.7-SNAPSHOT.jar. When I copy over the script extension it replaces gt-process-feature-13-SNAPSHOT.jar, json-simple-1.1.jar, gt-geojson-13-SNAPSHOT.jar, and gt-process-raster-13-SNAPSHOT.jar, but accepting or rejecting the file replacement does not fix the problem. – Martin Aug 12 '15 at 12:38
  • Still having the same problem with the 15-Aug-2015 2.7.x build. – Martin Aug 17 '15 at 9:10
  • Still having the same problem with the 17-Aug-2015 2.7.x build. – Martin Aug 20 '15 at 12:09
1

The Python scripting extension works with version 2.4 from August 20, 2014, specifically this build of GeoServer with this build of the Python plugin.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.